// DisplayPage.cpp : implementation file
// Time-stamp: "97/01/26 14:01:27 mik"
//
// Copyright (C) 1996, 97
//	Christian Schenk  <cschenk@berlin.snafu.de>
//
// This file is part of MiKTeX.
//
// MiKTeX is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// MiKTeX is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MiKTeX; if not, write to the Free Software Foundation,
// 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "stdafx.h"
#include "yap.h"
#include "DisplayPage.h"
#include "miktex.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DisplayPage property page

IMPLEMENT_DYNCREATE(DisplayPage, CPropertyPage)

DisplayPage::DisplayPage() : CPropertyPage(DisplayPage::IDD)
{
	//{{AFX_DATA_INIT(DisplayPage)
	m_mode = _T("");
	m_resolution = 0;
	m_shrink_factor = _T("");
	//}}AFX_DATA_INIT
}

DisplayPage::~DisplayPage()
{
}

void DisplayPage::DoDataExchange(CDataExchange* pDX)
{
  CPropertyPage::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(DisplayPage)
  DDX_Control(pDX, IDC_COMBO1, m_cb_mode);
  DDX_CBString(pDX, IDC_COMBO1, m_mode);
	DDX_Text(pDX, IDC_EDIT1, m_resolution);
	DDV_MinMaxLong(pDX, m_resolution, 96, 100000);
	DDX_CBString(pDX, IDC_COMBO3, m_shrink_factor);
	DDV_MaxChars(pDX, m_shrink_factor, 1);
	//}}AFX_DATA_MAP
  mf_mode mode[1000];
  int n = get_metafont_modes (mode, 1000);
  for (int i = 0; i < n; i++)
    m_cb_mode.AddString (mode[i].mnemonic);
}

BEGIN_MESSAGE_MAP(DisplayPage, CPropertyPage)
	//{{AFX_MSG_MAP(DisplayPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DisplayPage message handlers
